# 搜索反馈 (/zh/api-reference/endpoint/search-feedback)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2014 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md), [获取批量抓取错误信息](/zh/api-reference/endpoint/batch-scrape-get-errors.md)

在使用了 `search` 结果后，或结果未能提供帮助时，可使用搜索反馈。反馈可提升结果质量，并且针对某个搜索任务首次提交反馈时可退还 1 个额度，具体取决于团队限制。

<div id="example-request">
  ### 请求示例 [#请求示例]
</div>

```bash
curl -X POST "https://api.firecrawl.dev/v2/search/550e8400-e29b-41d4-a716-446655440000/feedback" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "rating": "good",
    "valuableSources": [
      {
        "url": "https://docs.firecrawl.dev/features/search",
        "reason": "Most up-to-date description of /search."
      }
    ],
    "missingContent": [
      {
        "topic": "Pricing for the search endpoint",
        "description": "No pricing tier table for /search specifically."
      }
    ],
    "querySuggestions": "Boost docs.firecrawl.dev for queries that mention Firecrawl"
  }'
```

`POST /search/{jobId}/feedback`

提交搜索任务反馈

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "由 /search 返回的搜索任务 ID。",
      "in": "path",
      "name": "jobId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "description": "若为“good”，请包含 valuableSources。若为“partial”，请包含 valuableSources 或 missingContent。若为“bad”，请包含 missingContent 或 querySuggestions。",
          "properties": {
            "integration": {
              "nullable": true,
              "type": "string"
            },
            "missingContent": {
              "items": {
                "properties": {
                  "description": {
                    "maxLength": 2000,
                    "type": "string"
                  },
                  "topic": {
                    "maxLength": 200,
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "topic"
                ],
                "type": "object"
              },
              "maxItems": 20,
              "type": "array"
            },
            "origin": {
              "default": "api",
              "type": "string"
            },
            "querySuggestions": {
              "maxLength": 2000,
              "type": "string"
            },
            "rating": {
              "enum": [
                "good",
                "partial",
                "bad"
              ],
              "type": "string"
            },
            "valuableSources": {
              "items": {
                "properties": {
                  "reason": {
                    "maxLength": 1000,
                    "type": "string"
                  },
                  "url": {
                    "format": "uri",
                    "type": "string"
                  }
                },
                "required": [
                  "url"
                ],
                "type": "object"
              },
              "maxItems": 50,
              "type": "array"
            }
          },
          "required": [
            "rating"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "alreadySubmitted": {
                "type": "boolean"
              },
              "creditsRefunded": {
                "type": "number"
              },
              "creditsRefundedToday": {
                "type": "number"
              },
              "dailyCapReached": {
                "type": "boolean"
              },
              "dailyRefundCap": {
                "type": "number"
              },
              "feedbackId": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "example": true,
                "type": "boolean"
              },
              "warning": {
                "type": "string"
              }
            },
            "required": [
              "success",
              "feedbackId",
              "creditsRefunded"
            ],
            "type": "object"
          }
        }
      },
      "description": "反馈已记录"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "无效的请求体"
    },
    "403": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "此团队不可用反馈功能"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "未找到此团队的搜索任务"
    },
    "409": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "此搜索任务无法记录反馈"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
